
    What's new? 				   'cFos' ISDN Driver Family
    ------------------------------------------------------------------------


    Please read this list of  changes  and  enhancements  carefully,
    because we maybe changed some details that might concern you.


    To make things a little easier, here's a small legend:

      * New feature
      ! Software-change requires modification of your configuration
      x Bugfix
      - Information only



    Revision history: ------------------------------------------------------



    cFos/NT  5.24, 08-Dec-2003
    cFos/Win 5.24, 08-Dec-2003

      * Added support for Windows XP Restore Points.  If cFos Setup
	is failing you can now unroll to a time before the setup.

      * Tracing (-d option) has been rewritten.  New features include the
	automatic rename of ctrace.txt to ctrace_old.txt if the file becomes
	larger that 1mb.  Furthermore, trace buffer overflows should be more
	infrequent.

      - Register S119 set to default of 2.  This way, cFos will try two
	PPPoE connection attempts before reporting "No Ethernet".

      x Fixed a problem where COM-ports over COM9 were "forgotten" when
	doing an update install.  Thanks to Maik Riess.

      x Fixed a network card detection problem with SiS boards.

      x Fixed a problem with RAS phone book entries under Windows XP.


    cFos/NT

      x Fixed a problem with cFos installation.  On NTFS volumes the cFos
	.INI files were installed with not enough priviledges for members
	of the group "Users" to be written.

      x Fixed registry access problem with "Users" group.  cFos would
	erroneously complian that the software was expired.




    cFos/NT  5.20, 16-Oct-2003
    cFos/Win 5.20, 16-Oct-2003

      * All cFos components now support multiple languages and unicode. The
	current version is shipped with English, German and Traditional
	Chinese. In order to use Chinese under Win 9x, you need a far east
	edition. Under Win 2k/XP the Chinese fonts must be installed.

      * Added a numeric cps rate display in skin windows. You can activate
	it be removing the comments (;) in the respective disp section.

      * As an enhanced measure against virus infection, cFos checks its
	executables when started.  If there is any change, cFos will not
	start to prevent further damage.

      * Added automatic DSL report that pops up, if you were not able
	to connect for the first time.

      * Added "Connect to..." menu to the context menu.

      x Fixed a bug that prevented cFos from working on NT 4.0.

      x Fixed crashes with Bintec CAPI.

      - Dropped old-school non-skinned windows.  If you liked the old
	large or small status window, please send us a mail and we will
	see if we can provide you with a cFos skin window that looks
	like the old windows.




    cFos/NT  5.12, 27-Jun-2003
    cFos/Win 5.12, 27-Jun-2003

      x Fixed a serious bug in Traffic Shaping.  Thanks to Michal Ruta.




    cFos/NT  5.10, 24-Jun-2003
    cFos/Win 5.10, 24-Jun-2003

      * cFos Traffic Shaping:
	Calibration has been improved further.	It should be faster
	and more stable now.

      * Added new nice UI to configure the cFos Online Budgets.

      * The connection report is now displayed if a call failed. It
	contains detailed hint on how to fix the most common problems.

      * Added support for Message Waiting Indications (MWI). If your
	CAPI and ISDN switch can signal MWIs, cFos indicates (and
	logs) them like normal calls, however with service 31. For
	example, if someone leaves a message to your T-Net Box, you
	get an MWI with caller ID of 08003002424.

      * Plaintext passwords in CTRACE.TXT are now dumped as ??? to
	be a little more sensitive to this data.  Specify -da to
	switch back on dumping of passwords.

      * Improved SYN-flood protection.	Handling of TCP RST segments
	improved.

      * Setup will now allow you to enter the COM-ports in the
	'additional parameters' box instead of the COM1-COM9 check boxes.
	This may be useful if COM1-COM9 are already in use by other
	software.

      * Setup will now warn if it find RASPPPoE installed with the
	"Log Warning" setting on, since this fills up the Event Log
	pretty fast.

      * Added "Window Autoarrage" option in context menu, which is
	now default.

      * You can now specify a list of IP protocol numbers the firewall
	should not check and just pass through.  This might include
	both protocols handeled and unhandeled by cFos.  To do this, just
	add a key named "PassIpProt" to the section [firewall] in CFOS.INI
	and specify all the protocol numbers that should be passed through.

	Ex:	[firewall]
		PassIpProt=47 1 2

	This will pass all packets of protocol 47 (GRE), 1 (ICMP) and
	2 (IGMP).

	This setting may be useful if you want to use VPN with cFos, but
	don't want to disable the firewall completely.	In this case,
	just set "PassIpProt=47" to allow GRE (Generic Routing Encapsulation)
	to be passed through.

      x Fixed some strange window behaviour, where the window would not
	open when opened while fading out.  Thanks to Ralf Biedermann
	for his report.

      x Fixed a problem with incoming ISDN calls when S92 was != 0.

      x Fixed a potential problem in RX CTS.

      x Fixed a problem with SiS onboard LAN adapters.

      x Fixed overflow of txbytes / rxbytes values, in case of
	transfer of more than 2 GB per session.

      x Fixed a freeze on malformed TCP segments.

      x Fixed more crashes, big thanks to Toni Zeitler for memory dumps.

      x Fixed a bug that prevented skins to be loaded after several
	installs in different directories.

      x Fixed a rare crash when quitting the usermode part of cFos
	(CFOSDW.EXE resp. CFOSDNT.EXE).

      - The name of the sections in CFOS.INI that hold the calibration
	data has changed. Thus, you will be asked to calibrate again.
	You can mangle the section in CFOS.INI by yourself afterwards,
	but be sure to be offline when you do.

      - Reduced memory consumption.


    cFos/NT

      x Fixed a deadlock (freeze).

      - The demon's logfile (CDTRACE.TXT of old) is now integrated into
	the regular CTRACE.TXT logfile to avoid confusion.  You can
	distinguish between actions logged by the driver and the demon
	by looking at the timestamp: the driver loggs with timestamps
	like hhmmss.mmm and the demon hhmmss'mmm.




    cFos/Win 5.04, 04-Mar-2003
    cFos/NT  5.04, 04-Mar-2003

      * Even faster surfing with cFos Traffic Shaping 

      * Adapted calibration for cFos Traffic Shaping to work lines with
	high packet loss.

      * The hard limit of maximum connections has been alleviated.
	The maximum number is now set to 10000 (impossibly high).
	SYN-flooding protection has been added through a threshhold
	value of a maximum of (default) 500 half-open connections at
	a time.  After that new connections are no longer accepted,
	until old half-open connections become either dead or open.
	If you like to change that value, you can set the MaxHalfOpen
	parameter in the [tcpip] section of CFOS.INI to an arbitrary
	value.

      x Fixed a freshly introduced bug that prevented cFos windows from
	being moved.

      x Fixed a bug that prevented cFos to work with CAPI2032.DLL.

      x Fixed a bug that prevented Setup from working under Windows 95.

      x Fixed a rare crash.  Thanks to Daniel Hahler for the dump file.

      x Fixed a crash when starting cFos.  Thanks to J”rg Spranger for his
	report.

      x Tried to fix problems with starving downloads when used with
	a lot (100+) connections, many of them uploading (like in P2P
	software).

      x Fixed a strange problem where the window would disappear sometimes
	on multiprocessor machines.




    cFos/Win 5.02, 12-Feb-2003
    cFos/NT  5.02, 12-Feb-2003

      x Fixed a calibration problem for Arcor and QSC DSL users.
	Thanks to Bjoern Heismann, thb303, dAniel, Fabian Beneke for
	testing and mobad for his log file.

      x Calibration timeouts have been increased, hoping that will
	help those users that got a "Measurement takes too long"
	error.

      x Fixed a display bug in calibration percentage.

      - Calibration is a little more tolerant now, i.e. it should abort
	less often with an error.

      - Under Windows XP you may find your system event log full
	of events by RMSPPPoE complaining that there were unrecognized
	PPPoE packets.	These events are logged by RASPPPoE, not by cFos
	or Windows XP.

	To turn them off, use REGEDIT to go to
	HKLM\SYSTEM\CurrentControlSet\Services\RMSPPPoE\Parameters\Adapters
	and change the value of the EventLogging key in all subkeys
	from 7 to 5.  The change will be active after the next restart.




    cFos/Win 5.00, 05-Feb-2003
    cFos/NT  5.00, 05-Feb-2003

      ! cFos Traffic Shaping!  Internet Tuning: Surf the web faster
	with less latency with cFos Traffic Shaping.  For details, see
	http://www.cfos.de/techinfo/shape.htm

      * The Firewall is now keeping state of TCP connections.  This
	allows cFos to do "Port stealthing"!  I.e. if someone is trying
	to connect to your computer, but the respective port is not in
	listen state, the remote machine does not receive a RST segment.
	I.e. the remote machine does not know that your computer even
	exists!  Only if the port exists and is in listen state (i.e.
	you are offering a server to the net) incoming connections will
	result in packets beeing sent to the net.

	The same holds true for UDP ports: if a remote machine tries to
	connect to one of you UDP ports currently not in listen state,
	it will not receive negative feedback, effectively "stealthing"
	this port.

      * Firewall improvement with FTP transfers: FTP servers often try
	to IDENT connecting machines (i.e. they try to connect to your
	IDENT services).  Those requests are, if they are blocked by the
	firewall, often repeated like 4 times, delaying FTP server login
	for e.g. some 4 seconds.  cFos now rejects the IDENT connection,
	if there is a FTP control connection to the same host running at
	the same time, resulting in a faster FTP login.

      * cFos now has the ability to synchronize your computer's clock
	with time servers on the Internet!

	If you select "Time Sync" in SETUP, cFos will try to get the
	correct time at least 18 hours after the last timesync.  It
	will try do so automatically 10 seconds after you logged on
	to the Internet.  You have a context menu option to do it
	manually, too.

	cFos has built-in lists of free timeservers for each
	geographical location, but if you want to use a specific
	server, set the TimeServer= variable in the [cFos] section of
	CFOS.INI to the name of that server and cFos will use only
	this.

	cFos has (for some time now) the ability to sync your
	computer's clock with ISDN time, too.  It will use both time
	sync possibilities if it can.  E.g., if you get ISDN time
	infos every 12 hours, Internet time sync will never be used.

	If ISDN Time-Sync and Internet Time-Sync work against one
	another, you can disable either of them: -ji to disable ISDN
	time-sync, -jn to disable Internet time-sync.  Set the
	switches in the Parameter line in SETUP.

      * New cFos Skin, optimized for the look and feel of Windows XP.
	Skins now support indication of PPP login states and firewall
	activity, Skin monitor windows can inidicate redirected calls.

      * Added alpha-blending support fuer the skins, see skin.htm for
	details. Skins also support color transformation to easily create
	variations of existing skins. See skin.htm for details. Two
	alternative skins transformations are included. You can select them
	by right-clicking on the status window.

      * Connection Reports are now generated out of report.tpl and
	report_e.tpl, which are actually html. So you can design your
	own connection reports now, using most of the skin variables.

      * You want to prioritize some UDP or TCP ports?  Use
	FastOutUdpSport, FastOutUdpDport, FastOutTcpSport,
	FastOutTcpDport to prioritize UDP or TCP packets with
	the respective source port number (Sport) or destination port
	number (Dport) with TX CTS.  May be useful for e.g. online
	games.	The settings have to be in the [cts] section of
	cfos.ini and can hold multiple values each, spaced by spaces
	or commas, like:
	   [cts]
	   fastoutudpdport=9990 9991

      * Smart Inactivity Timer:
	For the S86 TX inactivity timer data that is sent by
	your computer as an automated response without any useful
	payload (like PING replies and the like) and data that is
	filtered out by cFos Firewall will no longer keep the
	inactivity timer alive.

	If you use inactivity timers to disconnect your PC from the
	Internet we recommend using S86 instead of S19 or S85, because
	S86 keeps working even with the constant bombardment of eDonkey
	(or the like) connection attempts or other people trying to
	get into your PC.

      * cFos can reduce the MTU on PPPoE connections with a setting of
	register S99.  Either use S99=<MTU> in your init string or use
	-x99=<MTU> in the parameter line of cFos Setup (replace <MTU>
	with the MTU number).

	To maximize data thruput cFos/Win must make changes to the
	IPMTU setting in the registry.	Set the -km switch in Setup
	to disable these changes to the registry.

	cFos checks now to see the minimum MRU advertised by either
	side and uses the smaller value as MTU.  This way, you
	don't have to set -x99 even if your ISP requires smaller MRUs
	because of further tunnelling.	This works as long as the ISPs
	dialin host tries to negotioate this smaller MRU.  If it does
	not, you need to use -x99 feature mentioned above.

      * You can now allow / ignore calls with certain caller IDs.
	Default is to allow all calls. If you'd like to limit the
	calls cFos listens to to a certain set of caller IDs, you can
	create a section [callerid] in the CFOS.INI file. In this
	section you can specify include= and exclude= keys. On an
	incoming call, cFos scans through this [callerid] section and
	allows / disallows a certain caller ID whenever it matches with
	a key. The character * indicates that the reminder of the
	number is not used for a match. Example:

	[callerid]
	exclude=*	       ; exclude all numbers
	include=0228*	       ; but allow all calls from Bonn
	exclude=0228555*       ; but exclude calls from these numbers
	include=0405551234     ; and allow one certain number from Hamburg

	You could, for example, use cFos in combination with a
	remote control software and only allow certain users with
	fixed caller IDs to dial into the computer and do remote
	maintenance. This adds one more layer of security.

      * You can now dump all data that is sent to resp. received from
	your ISDN board resp. your DSL modem.  The switches -dp (put,
	i.e. sent) and -dg (get, i.e. receive) switch this kind of
	logging on.  Output goes into CTRACE.TXT.

      * Redirected ISDN calls are now indicated by a red arrow in the cFos
	caller monitor window.

      * You can specify the budget to use in the phone number you dial:
	include "=<budget>" (sans quotes) in the number, where <budget>
	may be 0 to disabled budget, 1-9 for budgets 1 to 9 or 'a' for
	budget 10.  Example: "ATD=15551234" will dial 5551234 and use
	budget 1; "ATD5551234=A" will dial the same number, but use
	budget 10 instead.

      * Display the remaining inactivity time by setting
	S74.14=1.  It is displayed in the position of the connect
	charges.

      * Drag and Drop of keyfile from your mail program to cFos status
	window.

      * You can now set bits in S-registers on the command line with
	-x<reg>.<bit>=<v>, where <reg> is the number of the register,
	<bit> the bit number and <v> either 0 or 1.  E.g. -x74.14=1
	will activate the display of inactivity time.

      - ISDN time info is now a global value, instead of a port-
	specific value. This could help determining if you get
	ISDN time info messages from CAPI / Telco.

      x Bugfixes in Skin-Support and Connection Report.


    cFos/Win

      * You can call CFOSDW.EXE with -s[n]<x> parameter to display
	one or all status windows. -sn means don't close after 5 secs.
	<x> is the window number, 0=first COM port, 1=next COM port,...
	highest number is caller monitor window. Leaving out <x> opens
	all windows.


    cFos/NT

      * The Shareware version will now work even if no user is logged
	on to the computer.  The registered version always did.

      * Removed the Start/Stop service and Quit status window entries
	from the context menu.	Only if the startmode is set to manual
	or the service in not running yet, the appropriate entries are
	displayed.

      * Under XP the ballon tip with the logon message sometimes stays
	active for minutes.  cFos now closes the ballon tip after 15
	seconds or after the amount of milliseconds mentioned in the
	LogonBallonTime setting in the [cfos] section in cfos.ini.

      * You can stop the CFOSDNT.EXE now by starting "CFOSDNT -d".




    cFos/Win 4.14, 10-Jul-2002
    cFos/NT  4.14, 10-Jul-2002

	...



    If you're interested in even older history, get it from our FTP
    server as CFOSHIST.ZIP.



    ------------------------ End of file ---------------------------
